Bug 682278 - Inconsistent table interaction
Inconsistent table interaction
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: rhq41 rhq41-ui rhq-uxd
  Show dependency treegraph
 
Reported: 2011-03-04 12:07 EST by Alan Santos
Modified: 2015-02-05 20:19 EST (History)
4 users (show)

See Also:
Fixed In Version: 4.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unselectable checkbox in row (80.69 KB, image/png)
2011-03-04 12:07 EST, Alan Santos
no flags Details
Selectable Icon to perform action/drill down (9.43 KB, image/png)
2011-03-04 12:09 EST, Alan Santos
no flags Details
User selectable check in row (106.75 KB, image/png)
2011-03-04 12:09 EST, Alan Santos
no flags Details
Selectable ID/Link to drill down (33.39 KB, image/png)
2011-03-04 12:10 EST, Alan Santos
no flags Details

  None (edit)
Description Alan Santos 2011-03-04 12:07:55 EST
Created attachment 482331 [details]
Unselectable checkbox in row

Description of problem:

There appears to be no consistent paradigm for a user to interact with table content.

Examples:

To perform an action on a 'Template' the user must mouse to the other side of the screen to select an icon for the current row.  Similar tables allow the user to select the identifier as a link (e.g. 'Name') to drill into detail, 'Templates'

Other tables offer a checkboxes that are not editable, but appear to be so (e.g. resource 'Monitor'/'Schedule' tab and subtab) while other tables are directly editable (e.g. Administer/roles/permissions)
Comment 1 Alan Santos 2011-03-04 12:09:05 EST
Created attachment 482332 [details]
Selectable Icon to perform action/drill down
Comment 2 Alan Santos 2011-03-04 12:09:54 EST
Created attachment 482333 [details]
User selectable check in row
Comment 3 Alan Santos 2011-03-04 12:10:45 EST
Created attachment 482334 [details]
Selectable ID/Link to drill down
Comment 4 John Mazzitelli 2011-08-16 13:35:41 EDT
FYI: Bug #714277 reports the issue with the templates page. the templates page was a quick reimplementation of the old portal-war struts page. Because it is a relatively rare page users interface with (compared to other parts of the UI) it was determined it was best to get something implemented and working quickly, as opposed to spending alot of time on UXD design and implementation, thus freeing up time to do more commonly used pages. 714277 can be used to track any refactoring of that page.

Note You need to log in before you can comment on or make changes to this bug.